Bug 198707 - rpmlint should warn on package not found
rpmlint should warn on package not found
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 19:28 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.78-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-24 12:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-07-12 19:28:39 EDT
Description of problem:
"rpmlint asaasdfasdfaskdjfhasldfkjah" command should warn:
Package not found.

Prevents stuff like:
rpmlint kernrl

giving no warnings and the user not realizing he made a type-o on the package name.

rpmlint should warn the user that the installed package was not found.
Comment 1 Ville Skyttä 2006-07-13 03:02:19 EDT
I've fixed that yesterday in upstream svn (before seeing this report ;)), and it
will be in the next rpmlint package update.

If you want to give it a try, the changeset is
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1247
Comment 2 Christopher Stone 2006-09-03 00:13:55 EDT
This didn't make it in 0.77-1?
Comment 3 Ville Skyttä 2006-09-03 04:18:25 EDT
No, this bug was reported and fixed in upstream svn about 2 weeks after 0.77-1
was released.  There will be a new release soon, stay tuned.
Comment 4 Ville Skyttä 2006-09-24 12:16:03 EDT
Fixed in 0.78-1.

Note You need to log in before you can comment on or make changes to this bug.